## org.red5.server.api.event
Enum IEvent.Type

    java.lang.Object
      java.lang.Enum<IEvent.Type>
          org.red5.server.api.event.IEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<IEvent.Type>

Enclosing interface:
  IEvent

    public static enum IEvent.Type

extends Enum<IEvent.Type>

Enum Constant Summary
`CLIENT`
`SERVER`
`SERVICE_CALL`
`SHARED_OBJECT`
`STATUS`
`STREAM_CONTROL`
`STREAM_DATA`
`SYSTEM`

Method Summary
`static IEvent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SYSTEM

    public static final IEvent.Type SYSTEM

### STATUS

    public static final IEvent.Type STATUS

### SERVICE_CALL

    public static final IEvent.Type SERVICE_CALL

### SHARED_OBJECT

    public static final IEvent.Type SHARED_OBJECT

### STREAM_CONTROL

    public static final IEvent.Type STREAM_CONTROL

### STREAM_DATA

    public static final IEvent.Type STREAM_DATA

### CLIENT

    public static final IEvent.Type CLIENT

### SERVER

    public static final IEvent.Type SERVER

Method Detail

### values

    public static IEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IEvent.Type c : IEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2006-2010 The Red5 Project